Name:		qubes-core-admin-client
Version:    4.3.4
Release:	1%{?dist}
Summary:	Qubes OS admin client tools

Group:		Qubes
License:	LGPLv2.1+
URL:		https://www.qubes-os.org

BuildRequires:	make
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
BuildRequires:	python%{python3_pkgversion}-dbus
BuildRequires:	python%{python3_pkgversion}-lxml
BuildRequires:	python%{python3_pkgversion}-xcffib
BuildRequires:	python%{python3_pkgversion}-tqdm
BuildRequires:	python%{python3_pkgversion}-yaml
BuildRequires:	python%{python3_pkgversion}-pyxdg
BuildRequires:  python%{python3_pkgversion}-rpm
Requires:   python%{python3_pkgversion}-qubesadmin
Requires:   python%{python3_pkgversion}-yaml
Requires:   qubes-repo-templates
Requires:   scrypt
Requires:   qubes-rpm-oxide >= 0.2.3
Requires:   xrandr
BuildArch:  noarch
Source0: %{name}-%{version}.tar.gz
Conflicts:  qubes-core-agent < 4.1.9
# qubes-guid -C option
Conflicts:  qubes-gui-daemon < 4.1.7

%description
This package include management tools, like qvm-*.

%package -n python%{python3_pkgversion}-qubesadmin
Summary:    Python%{python3_pkgversion} module qubesadmin
Requires:   python%{python3_pkgversion}-docutils
Requires:   python%{python3_pkgversion}-lxml
Requires:   python%{python3_pkgversion}-xcffib
Requires:   python%{python3_pkgversion}-qubesdb
Requires:   python%{python3_pkgversion}-rpm
Requires:   python%{python3_pkgversion}-tqdm
Requires:   python%{python3_pkgversion}-pyxdg
Conflicts:  qubes-core-dom0 < 4.3.0
Conflicts:  qubes-manager < 4.0.6

%description -n python%{python3_pkgversion}-qubesadmin
Python3 module qubesadmin.

%prep
%setup -q


%build
make -C doc PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} man


%install
rm -rf build
%make_install PYTHON=%{__python3}

make -C doc DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} \
    install


%files
%defattr(-,root,root,-)
%doc LICENSE
%config /etc/xdg/autostart/qvm-start-daemon.desktop
%config /etc/xdg/autostart/qvm-start-daemon-kde.desktop
%{_bindir}/qubes-*
%{_bindir}/qvm-*
%{_mandir}/man1/qvm-*.1*
%{_mandir}/man1/qubes*.1*

%files -n python%{python3_pkgversion}-qubesadmin
%{python3_sitelib}/qubesadmin-*egg-info
%{python3_sitelib}/qubesadmin
/etc/qubes/post-install.d/30-keyboard-layout-service.sh

%changelog
* Sat Aug 24 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-admin-client.git

* Sat Aug 24 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d9db37f
- version 4.3.4

* Sun Aug 18 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7d16977
- version 4.3.3

* Thu Aug 08 2024 Ali Mirjamali <ali@mirjamali.com> - 615baf2
- Improve new qvm-ls documentation & comments

* Tue Aug 06 2024 Euwiiwueir <euweuwi2@onionmail.info> - e9fd6b1
- Fix the synopsis sections of qvm-run, qvm-create manpages

* Sun Jul 28 2024 Ali Mirjamali <ali@mirjamali.com> - 54736f2
- Update unittests for new qvm-ls options

* Fri Jul 26 2024 Ali Mirjamali <ali@mirjamali.com> - bd26a0c
- Update documentation for new qvm-ls options

* Fri Jul 26 2024 Ali Mirjamali <ali@mirjamali.com> - 1d8d4bd
- Add requested changes for qvm-ls, numeric sort

* Thu Jul 25 2024 Ali Mirjamali <ali@mirjamali.com> - 1d70d93
- Improve qvm-ls options to avoid parsing

* Sat Jul 20 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c24ff6b
- version 4.3.2

* Tue Jul 16 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 3e5edbf
- add tests

* Tue Jul 16 2024 Ali Mirjamali <ali@mirjamali.com> - c8636cb
- Extended QubesArgumentParser & VmNameAction for qvm-check

* Tue Jul 16 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 12ef850
- fix QubesOS/qubes-issues/issues/9354

* Fri Jul 12 2024 Ali Mirjamali <ali@mirjamali.com> - 73ff499
- Cleaner messages on attempting to remove a Template currently in use

* Thu Jul 11 2024 Ali Mirjamali <ali@mirjamali.com> - 7a4b498
- Improving unit tests for qvm-check

* Wed Jul 10 2024 Ali Mirjamali <ali@mirjamali.com> - 06bfde3
- Improve qvm-check mechanism on invalid domains

* Fri Jul 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1334d7a
- version 4.3.1

* Tue Jun 25 2024 Ali Mirjamali <ali@mirjamali.com> - 590c41e
- Ask for additonal confirmation for qvm-remove --all

* Sat Jun 22 2024 Euwiiwueir <euweuwi2@onionmail.info> - 56ab8ce
- qvm-start-daemon: expect gui-window-background-color

* Fri Jun 21 2024 Ben Grande <ben.grande.b@gmail.com> - 8639ee4
- Document service software-rendering

* Sat Jun 15 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 13969c8
- version 4.3.0

* Sat Jun 15 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9d2bea6
- rpm: bump dependency for core-admin

* Wed May 29 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 621539e
- Document usb-reset-on-attach qvm-service

* Sun May 26 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 7708545
- q-dev: update tests

* Sun May 26 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - e11de7f
- q-dev: update device protocol v4

* Sun May 26 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 9d3abb2
- q-dev: make pylint happy

* Sun May 26 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - dff2996
- q-dev: update device protocol v3

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - dc2cda7
- q-dev: update device protocol v2

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 623c3ef
- q-dev: update device protocol

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - bbb2a02
- q-dev: fix serialization

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - b5d48c2
- q-dev: make pylint happy

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - dd7882b
- q-dev: update and fix tests for qvm-start

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 1ec3549
- q-dev: update and fix tests for backup

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - a8650a7
- q-dev: update tests for qvm-device and app

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 6468b20
- q-dev: fix `qvm-start VM --drive cdrom`

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - f5265d4
- q-dev: pylint

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - bd5c621
- q-dev: broder allowance of names

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 7f36eb4
- q-dev: device protocol minor fixes

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 9080609
- q-dev: refactor device protocol

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - ac4d52a
- q-dev: device protocol

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 2e31a4b
- q-dev: @marmarek comments

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - de0e882
- q-dev: port assignment

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 2e3b1f8
- q-dev: allow block devices to be required

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - b654864
- q-dev: block auto-attach

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 38f7e0b
- q-dev: full_identity -> self_identity

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 7f3519f
- q-dev: prevent non-pci device as required

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 865173d
- q-dev: warn user that (un)assign is not (de/at)tach

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 06da56f
- q-dev: handle DeviceInfo.attachment

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 3f85ae7
- q-dev: auto-attach and required as immutable properties

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - ff0d883
- q-dev: full identity

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 160f50e
- q-dev: DeviceAssignment serialization

